vnfd-catalog:
    vnfd:
    -   id: hackfest_cloudinit-vnf
        name: hackfest_cloudinit-vnf
        short-name: hackfest_cloudinit-vnf
        version: '1.0'
        description: A VNF consisting of 2 VDUs connected to an internal VL, and one VDU with cloud-init
        logo: osm.png
        connection-point:
        -   name: vnf-mgmt
        -   name: vnf-data
        mgmt-interface:
            cp: vnf-mgmt
        internal-vld:
        -   id: internal
            name: internal
            type: ELAN
            internal-connection-point:
            -   id-ref: mgmtVM-internal
            -   id-ref: dataVM-internal
        vdu:
        -   id: mgmtVM
            name: mgmtVM
            image: ubuntu16.04
            count: 1
            vm-flavor:
                vcpu-count: 1
                memory-mb: 1024
                storage-gb: 10
            interface:
            -   name: mgmtVM-eth0
                position: 1
                type: EXTERNAL
                virtual-interface:
                    type: PARAVIRT
                external-connection-point-ref: vnf-mgmt
            -   name: mgmtVM-eth1
                position: 2
                type: INTERNAL
                virtual-interface:
                    type: PARAVIRT
                internal-connection-point-ref: mgmtVM-internal
            internal-connection-point:
            -   id: mgmtVM-internal
            cloud-init-file: cloud-config.txt
        -   id: dataVM
            name: dataVM
            image: ubuntu16.04
            count: 1
            vm-flavor:
                vcpu-count: 1
                memory-mb: 1024
                storage-gb: 10
            interface:
            -   name: dataVM-eth0
                position: 1
                type: INTERNAL
                virtual-interface:
                    type: PARAVIRT
                internal-connection-point-ref: dataVM-internal
            -   name: dataVM-xe0
                position: 2
                type: EXTERNAL
                virtual-interface:
                    type: PARAVIRT
                external-connection-point-ref: vnf-data
            internal-connection-point:
            -   id: dataVM-internal
        vnf-configuration:
            config-access:
                ssh-access:
                    default-user: ubuntu
                    required: true

